summaryrefslogtreecommitdiff
path: root/data/bash/_metadata/postinst.appletvos-arm64
diff options
context:
space:
mode:
authorSam Bingner <sam@bingner.com>2019-12-03 11:29:21 -1000
committerSam Bingner <sam@bingner.com>2019-12-05 13:30:43 -1000
commitb14db911a4316f4cf2802d8653b0e9e4052570c3 (patch)
treeeb0a1c92877d3696ceeceef848fa862f4ef8ad2b /data/bash/_metadata/postinst.appletvos-arm64
parent53bae0fab06fe89b3e2904f37708045eda46ecc6 (diff)
Add diverts to work around binpack on tvos
Diffstat (limited to 'data/bash/_metadata/postinst.appletvos-arm64')
-rwxr-xr-xdata/bash/_metadata/postinst.appletvos-arm6418
1 files changed, 18 insertions, 0 deletions
diff --git a/data/bash/_metadata/postinst.appletvos-arm64 b/data/bash/_metadata/postinst.appletvos-arm64
new file mode 100755
index 000000000..22e6d7064
--- /dev/null
+++ b/data/bash/_metadata/postinst.appletvos-arm64
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -e
+
+if [ ! -e /bin/sh ]; then
+ ln -s bash /bin/sh
+fi
+
+case "$1" in
+ abort-remove|configure)
+ dpkg-divert --quiet --local --rename /bin/sh
+ update-alternatives --quiet --install /bin/sh sh /bin/bash 100 || true
+ ln -fs /bin/bash /usr/bin/bash
+ ;;
+ *)
+ exit 0
+ ;;
+esac